use leptos::*;


// #[cfg(feature = "ssr")]
#[component]
pub fn WelcomePage() -> impl IntoView {
    // log!("______ Welcome page loaded");

    view! {

        <div class="welcome-to">
            <h1>"Welcome to"</h1>
        </div>

        <div class="shimmering-name">
            <h1>"Lavina"</h1>
        </div>

        <img class="slowpoke-moves" src="/slowpoke_blinking.gif" alt="this slowpoke moves"  width="250"/>


      <LoginForm/>
    }
}

// #[cfg(feature = "ssr")]
#[component]
pub fn LoginForm() -> impl IntoView {
    // log!("______ Login form loaded");

    let (login, set_login) = create_signal(std::string::String::new());
    let (pwd, set_pwd) = create_signal(std::string::String::new());


    // //
    // // let add_todo = create_action(| input: &String | {
    // //     async move { lavina_client::LavinaClient::new_player(&login(), &pwd()).await }
    // // });
    //
    // use leptos::{html::Input, *};
    // use uuid::Uuid;
    // use std::time::{Duration, Instant};
    //
    // async fn add_todo_fn(text: &str) -> Uuid {
    //     log!("______ Tokio task");
    //
    //     tokio::time::sleep(Duration::from_millis(100000)).await;
    //     Uuid::new_v4()
    // }
    //
    // let add_todo = create_action(|input: &String| {
    //     // the input is a reference, but we need the Future to own it
    //     // this is important: we need to clone and move into the Future,
    //     // so it has a 'static lifetime
    //     let input = input.to_owned();
    //     async move { add_todo_fn(&input).await }
    // });
    //
    // let submitted = add_todo.input();
    // let pending = add_todo.pending();
    // let todo_id = add_todo.value();
    //
    // let input_ref = create_node_ref::<Input>();
    //
    // view! {
    //     <form
    //         on:submit=move |ev| {
    //             log!("______ Submitted");
    //
    //             ev.prevent_default(); // don't reload the page...
    //             let input = input_ref.get().expect("input to exist");
    //             add_todo.dispatch(input.value());
    //         }
    //     >
    //         <label>
    //             "What do you need to do?"
    //             <input type="text"
    //                 node_ref=input_ref
    //             />
    //         </label>
    //         <button type="submit"
    //                 on:click=move |_| {
    //             print!("Button clicked")
    //         }
    //
    //     >"Add Todo"</button>
    //     </form>
    //     <p>{move || pending().then(|| "Loading...")}</p>
    //     <p>
    //         "Submitted: "
    //         <code>{move || format!("{:#?}", submitted())}</code>
    //     </p>
    //     <p>
    //         "Pending: "
    //         <code>{move || format!("{:#?}", pending())}</code>
    //     </p>
    //     <p>
    //         "Todo ID: "
    //         <code>{move || format!("{:#?}", todo_id())}</code>
    //     </p>
    // }


    view! {

      <div class="login">

         <form class="login__form"
            //         on:submit=move |ev| {
            //     ev.prevent_default(); // don't reload the page...
            //     add_todo.dispatch("");
            // }

        >
            <h1 class="login__title">Log In</h1>

            <div class="login__inputs">
               <div class="login__box">
                  <input type="text" placeholder="Login" required class="login__input"
                     on:input=move |ev| { set_login(event_target_value(&ev))}
                  />
               </div>

               <div class="login__box">
                  <input type="password" placeholder="Password" required class="login__input"
                     on:input=move |ev| { set_pwd(event_target_value(&ev))}
                  />
               </div>
            </div>


            <button type="submit" class="login__button">Start messaging</button>

            <div class="login__register">
               Dont have an account? <a href="#">Register</a>
            </div>

         </form>

      </div>
    }
}